:root {
  --new-primary-color: #b83822;
  --new-grey-color: #9D9D9C;
  --new-excel-color: #1d6f42;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  /* display: none; <- Crashes Chrome on hover */
  -webkit-appearance: none;
  margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

.noscroll{ overflow:hidden!important; }

.page-content{ padding-top: 0!important }

/*NEW STYLES*/
.mt-persona{
  margin-top: 7px;
}
.mt-persona input{
  width: 18px;
  height: 18px;
}

.my-hidden{
  display: none;
}

.my_circle {
  width: 20px;
  height: 20px;
  border-radius: 50% !important;
  background-color: #ccc;
}

.date_custom{
  border: none;
  width: 100%;
}

.date_custom:focus {
  border: none !important;
  outline: none;
}

/*.hora_custom:valid {
  background-color: red;
}*/

/*INIT DATETIMEPICKER JQUERY CUSTOM*/
.ui-datepicker-calendar {
  background-color: #f9f9f9; /* Fondo del calendario */
}

.custom-datepicker-skoy .ui-state-highlight:hover{
  background-color: #555;
  color: #fff;
}

.custom-datepicker-skoy .ui-state-highlight{
  background-color: #f6f6f6;
  color: #000;
}


.custom-datepicker-skoy .ui-state-hover{
  background-color: #555; /* Color de fondo al pasar el mouse sobre un día */
  color: #fff; /* Color del texto al pasar el mouse sobre un día */
}

.custom-datepicker-skoy .ui-state-active {
  background-color: #b83822; /* Color de fondo del día seleccionado */
  color: #fff; /* Color del texto del día seleccionado */
  border: none;
}

/*END DATETIMEPICKER JQUERY CUSTOM*/

@-webkit-keyframes rotating /* Safari and Chrome */ {
  from {
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes rotating {
  from {
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/* Start Loading */
#loading { position: fixed; top: 0; right: 0; bottom: 0; left: 0; background: rgba(0,0,0,.8);
  z-index: 9999999; text-align: center; }
#loading ._body{ height:100px; position: absolute; top:calc(50% - 50px); left:0; right:0 }
#loading i{ font-size: 60px; line-height: 60px!important; color: #FFF;
  -webkit-animation: rotating 3s linear infinite;
  -moz-animation: rotating 3s linear infinite;
  -ms-animation: rotating 3s linear infinite;
  -o-animation: rotating 3s linear infinite;
  animation: rotating 3s linear infinite;}
#loading ._message { font-size: 20px; color: #FFF; margin-top: 10px }
#loading ._subtitle { font-size: 12px; color: #AAA; margin-top:5px }
/* End Loading */

/* Info de conductores parte superior */
.head-drivers{ }
.head-drivers ._opts{ padding:18px 0 19px 0 }
.head-drivers ._opts a:hover{ text-decoration:none }

/* CUSTOM */
body .btn.btn-primary,
body .btn.btn-info{
  background-color: var(--new-primary-color) !important;
  border-color: var(--new-primary-color) !important;
}

.btn-bg-red {
  background-color: var(--new-primary-color) !important;
  border-color: var(--new-primary-color) !important;
}

.btn-bg-grey,
body .btn.green-jungle,
.bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary,
.pagination>.active>a
{
  background-color: var(--new-grey-color) !important;
  border-color: var(--new-grey-color) !important;
}

.btn.green-excel {
  background-color: var(--new-excel-color) !important;
  border-color: #fff !important;
  color: #fff !important;
}


.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently supported by Chrome and Opera */
}

.ctr,.ctr-td td{ text-align:center }
.mdl,.mdl-td td{ vertical-align:middle!important; }
.upc,.upc-td td{ text-transform: uppercase }
.nowrap,.nowrap-td td,.nwp, .nwp-td td{ white-space:nowrap!important; }

.mrg-0{ margin:0!important; }
.mrg-2{ margin:2px!important; }
.mrg-5{ margin:5px!important; }
.mrg-10{ margin:10px!important; }
.mrg-t-0{ margin-top:0!important; }
.mrg-t-5{ margin-top:5px!important; }
.mrg-r-5{ margin-right:5px!important; }
.mrg-b-5{ margin-bottom:5px!important; }
.mrg-l-5{ margin-left:5px!important; }
.mrg-t-10{ margin-top:10px!important; }
.mrg-r-10{ margin-right:10px!important; }
.mrg-b-10{ margin-bottom:10px!important; }
.mrg-l-10{ margin-left:10px!important; }
.mrg-t-0{ margin-top:0!important; }
.mrg-r-0{ margin-right:0!important; }
.mrg-b-0{ margin-bottom:0!important; }
.mrg-l-0{ margin-left:0!important; }

.pdg-0{ padding:0!important; }
.pdg-2{ padding:2px!important; }
.pdg-5{ padding:5px!important; }
.pdg-10{ padding:10px!important; }
.pdg-t-0{ padding-top:0!important; }
.pdg-t-5{ padding-top:5px!important; }
.pdg-r-5{ padding-right:5px!important; }
.pdg-b-5{ padding-bottom:5px!important; }
.pdg-l-5{ padding-left:5px!important; }
.pdg-t-10{ padding-top:10px!important; }
.pdg-r-10{ padding-right:10px!important; }
.pdg-b-10{ padding-bottom:10px!important; }
.pdg-l-10{ padding-left:10px!important; }
.pdg-t-20{ padding-top:20px!important; }
.pdg-r-20{ padding-right:20px!important; }
.pdg-b-20{ padding-bottom:20px!important; }
.pdg-l-20{ padding-left:20px!important; }

.p-0{ padding:0!important; }
.p-2{ padding:2px!important; }
.p-4{ padding:4px!important; }
.p-8{ padding:8px!important; }
.p-16{ padding:16px!important; }
.pt-0{ padding-top:0!important; }
.pt-4{ padding-top:4px!important; }
.pt-8{ padding-top:8px!important; }
.pt-16{ padding-top:16px!important; }
.pr-0{ padding-right:0!important; }
.pr-4{ padding-right:4px!important; }
.pr-8{ padding-right:8px!important; }
.pr-16{ padding-right:16px!important; }
.pr-20{ padding-right:20px!important; }
.pr-24{ padding-right:24px!important; }
.pb-0{ padding-bottom:0!important; }
.pb-4{ padding-bottom:4px!important; }
.pb-8{ padding-bottom:8px!important; }
.pb-16{ padding-bottom:16px!important; }
.pl-0{ padding-left:0!important; }
.pl-4{ padding-left:4px!important; }
.pl-8{ padding-left:8px!important; }
.pl-16{ padding-left:16px!important; }

.m-0{ margin:0!important; }
.m-2{ margin:2px!important; }
.m-4{ margin:4px!important; }
.m-8{ margin:8px!important; }
.m-16{ margin:16px!important; }
.mt-0{ margin-top:0!important; }
.mt-4{ margin-top:4px!important; }
.mt-8{ margin-top:8px!important; }
.mt-16{ margin-top:16px!important; }
.mr-0{ margin-right:0!important; }
.mr-4{ margin-right:4px!important; }
.mr-8{ margin-right:8px!important; }
.mr-16{ margin-right:16px!important; }
.mb-0{ margin-bottom:0!important; }
.mb-4{ margin-bottom:4px!important; }
.mb-8{ margin-bottom:8px!important; }
.mb-16{ margin-bottom:16px!important; }
.ml-0{ margin-left:0!important; }
.ml-4{ margin-left:4px!important; }
.ml-8{ margin-left:8px!important; }
.ml-16{ margin-left:16px!important; }

.px-4{ padding-left:4px!important; padding-right:4px!important; }
.px-8{ padding-left:8px!important; padding-right:8px!important; }
.px-16{ padding-left:16px!important; padding-right:16px!important; }

.py-4{ padding-top:4px!important; padding-bottom:4px!important; }
.py-8{ padding-top:8px!important; padding-bottom:8px!important; }
.py-16{ padding-top:16px!important; padding-bottom:16px!important; }

.w1 { width:1% }

/* LIQUIDACION MODAL */
.sttm-body{ overflow:hidden!important; }
.sttm{ position:fixed; left:0; top:0; right:0; bottom:0; background:white; z-index:9995; display:none }
.sttm .hdr{ position:absolute; left:0; top:0; right:0; height:40px; border-bottom:1px solid #e5e5e5; padding:0 7px}
.sttm .cnt{ position:absolute; left:0; top:40px; right:0; bottom:50px; background:#fff; overflow:auto; padding:15px}
.sttm .ftr{ position:absolute; left:0; bottom:0; right:0; height:50px; border-top:1px solid #e5e5e5; padding:8px}

.sttm .hdr .close{ position:absolute; top:calc(50% - 5px); right:15px}
.sttm .cnt form{ margin-bottom:10px; }
.sttm .cnt table{border-collapse:collapse;}
.sttm .cnt table td, .sttm .cnt table, .sttm .cnt th { white-space:nowrap; padding:2px!important}
.sttm .cnt table .editing_tr{ background:#000; color:#FFF; }
.sttm .cnt table .editing_tr td{ line-height:34px; border-color:#000 }
.sttm .cnt table .editing_tr input{ border:none; box-shadow:inset 2px 2px 2px #CCC!important;}
.sttm .cnt .tctr{ text-align:center }
.sttm .cnt .trgt{ text-align:right }


/* History List */
.histlist td { font-size:12px; padding:4px!important; }
.histlist .hlbtn{ width:30px; height:30px; padding-top:4px}
.histlist .hlbtn:last-child{ margin-right:0 }

/* Color accent */
.page-header.navbar .page-logo { background:#0E0E0E!important; }
.page-sidebar .page-sidebar-menu>li.active.open>a>i, .page-sidebar .page-sidebar-menu>li.active>a>i, .page-sidebar-closed.page-sidebar-fixed .page-sidebar:hover .page-sidebar-menu>li.active.open>a>i, .page-sidebar-closed.page-sidebar-fixed .page-sidebar:hover .page-sidebar-menu>li.active>a>i{
    color:#000!important;
}

/* custom page sidebar */
.custom-page-sidebar,
.custom-page-sidebar .nav-item .sub-menu .nav-item .nav-link,
.custom-page-sidebar .nav-item.open:hover .sub-menu li:not(.nav-item.active) .nav-link {
  background-color: #fff !important;
}

.custom-page-sidebar .nav-item.start i {
  color: #bcbcbc !important;
}

.custom-page-sidebar li.start.active .nav-link,
.custom-page-sidebar li.start.open .nav-link,
.custom-page-sidebar .nav-item .sub-menu .nav-item:hover .nav-link,
.custom-page-sidebar .nav-item .sub-menu .nav-item.active .nav-link,
.custom-page-sidebar .nav-item:hover .nav-link,
.custom-page-sidebar .nav-item.open:hover .nav-link {
  background-color: #e7e7e7 !important;
}

.custom-page-sidebar .nav-item .sub-menu .nav-item:hover .nav-link .title,
.custom-page-sidebar li.start.active .nav-link .title,
.custom-page-sidebar li.active.open .nav-link .title,
.custom-page-sidebar .nav-item.open .nav-link .title,
.custom-page-sidebar .nav-item.open .nav-link i,
.custom-page-sidebar .nav-item:hover .nav-link .title,
.custom-page-sidebar .nav-item:hover .nav-link i,
.custom-page-sidebar .nav-item .sub-menu .nav-item.active .nav-link .title {
  color: #000 !important;
}

.custom-page-sidebar .nav-item .sub-menu .nav-item .nav-link .title,
.custom-page-sidebar .nav-item .title{
  color: #8c8c8c !important;
}

/* end - custom page sidebar */


body.login .login-form .form-actions .btn-primary,
body.login .forget-form .form-actions .btn-primary { background-color:#FF4B00; border-color:#FF4B00 }

/* css segun corp */
.corp_on .page-header{ width:195px }
.corp_on .page-header .page-top{ display:none }
.corp_on .page-container{ margin-top:0!important; }
.corp_on .page-sidebar-menu{ margin-top:68px }
.corp_on .rqbox{ top:0 }

/* toastr */
#toast-container>.toast { opacity:1!important; box-shadow: 1px 1px 3px white!important; }

/* head notificaciones */
.head-notif { position: relative }
.head-notif .tools { position: absolute; right:0; top:0; bottom:0; display:none;
  background-image: linear-gradient(to right, transparent, #374b6d, #374b6d); }
.head-notif .tools .btn{ color:#b8c6db }
.head-notif .tools .btn:hover{ color:white }
/*.head-notif:hover a{ padding-right: 40px!important; }*/
.head-notif:hover .tools { display:block }
.head-notif a .message { margin-left:0!important; }

/* requester */
#requester .items li { position: relative }
#requester .items li .tools { position: absolute; right:0; top:0; bottom:0; display:none;
  background-image: linear-gradient(to right, transparent, #FFFFFF, #FFFFFF); }
#requester .items li .tools .btn{ color:#b8c6db }
#requester .items li .tools .btn:hover{ color:black }
/*#requester .items li:hover a{ padding-right: 40px!important; }*/
#requester .items li:hover .tools { display:block }

@media (min-width: 992px){
  .portlet.mini{ max-width:550px }
  .portlet.medi{ max-width:750px }
  .portlet.maxi{ max-width:900px }
}

.btn-group {display: flex;}

 .max-z-index{ z-index: 10060!important; }

 /* formulario horizontal modificado */
.form-hori {}
.form-hori .form-group{ margin-bottom:12px }
.form-hori .form-group .control-label{ margin-bottom:4px }

/* boton input */
.btn-file {position:relative;overflow:hidden}
.btn-file input {position:absolute;top:0;left:0;padding:30px;cursor:pointer;opacity:0}

/* DATABLE */
.datable { overflow: visible}
.datable .none{display:none}
.datable table { margin-top:0!important; }
.datable table thead tr:first-child th {padding:4px; vertical-align: middle;}
.datable table thead tr:first-child th.sorting,
.datable table thead tr:first-child th.sorting_asc,
.datable table thead tr:first-child th.sorting_desc{
  padding-left:4px!important; padding-right:20px!important;
}
.datable table thead tr:nth-child(2n) th{ padding:4px }
.datable table tbody tr td{ padding:4px }
.datable table.collapsed thead tr:first-child th:first-child{  }
.datable table.collapsed tbody tr td:first-child{
  white-space:nowrap!important; position:relative; padding:4px 4px 4px 26px!important; width:1%;
}
.datable table.collapsed tbody tr td:first-child:before{
  position:absolute!important; lefT:4px!important; top:calc(50% - 8px)!important;
}

/* DEBUG */
.debug-mode{
  background:red; padding:12px 26px 0 26px; height:30px; position:fixed; left:-32px; top:-5px;
  transform: rotate(-45deg);
}
.debug-mode:before{ content:'DEBUG'; color:white; font-size:10px; font-weight:bold; }

.vertical_center{
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}
